<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
</script>

<div class="page-title">
    <div class="title_left">
        <h4><a th:href="'/#admin/events/view/' + ${event.id}" title="Volver al listado"><i class="fa fa-arrow-circle-o-left"></i> Volver</a></h4>
    </div>
</div>
<div class="clearfix"></div>

<div class="row">
    <div class="col-md-12">
        <div class="x_panel">
            <div class="x_title">
                <h2>Listado de compras</h2>

                <!--//TODO: habilitar filtros-->
                <!--<div class="panel_toolbox">
                    <form class="form-inline">
                        <div class="form-group">
                            <input class="form-control" type="search" placeholder="Buscar..."/>
                        </div>
                        <div class="form-group">
                            Estado:
                            <select class="form-control">
                                <option>Completo</option>
                            </select>
                        </div>
                        <div class="form-group">
                            Evento:
                            <select class="form-control">
                                <option>Evento barcelona</option>
                            </select>
                        </div>
                        <div class="form-group">
                            Grupo:
                            <select class="form-control">
                                <option>Evento barcelona</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <button class="btn btn-primary fa fa-search" style="margin-bottom: 0px !important;"></button>
                        </div>
                    </form>
                </div>-->
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <p>Listado de tus entradas disponibles</p>


                <!-- start project list -->
                <table class="table table-striped projects">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Nombre</th>
                            <th>Producto</th>
                            <th>Pasarela</th>
                            <th>Estado</th>
                            <th>Nro Orden</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr th:each="item : ${page.content}">
                            <td># <span th:text="${item.id}"></span></td>
                            <td>
                                <a th:text="${item.firstName} + ' ' + ${item.lastName}">Nombre</a> (<span th:text="${item.memberId}"></span>)
                                <br/>
                                <small th:text="${item.creationDate}">01.01.2015</small>
                            </td>
                            <td>
                                <small th:text="${item.product.name}"></small>
                            </td>
                            <td>
                                <small th:text="#{${item.processor}}">01.01.2015</small>
                            </td>
                            <td>
                                <div th:switch="${item.status}">
                                    <span th:case="paid" class="label label-success" th:text="#{${item.status}}"></span>
                                    <span th:case="pending" class="label label-warning" th:text="#{${item.status}}"></span>
                                    <span th:case="deleted" class="label label-danger" th:text="#{${item.status}}"></span>                                    
                                    <span th:case="*" class="label label-default" th:text="${item.status}"></span>
                                </div>
                            </td>
                            <td>
                                <small th:text="${item.orderId}">01.01.2015</small>
                            </td>                            
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <div th:replace="frags/pagination :: paginationbar"></div>
    </div>
</div>

